ru.bitel.oss.kernel.entity.common.bean

## Class EntitySpecAttr

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttr

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    ContractObjectParam

      public class EntitySpecAttr
      extends IdTitle

  Тип параметра
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ADDRESS`
    `static int` | `TYPE_CONTRACT_LINK`
    `static int` | `TYPE_DATE`
    `static int` | `TYPE_EMAIL`
    `static int` | `TYPE_ENTITY_LINK`
    `static int` | `TYPE_HOUSE`
    `static int` | `TYPE_INT`
    `static int` | `TYPE_LIST`
    `static int` | `TYPE_LONG`
    `static int` | `TYPE_PERIOD`
    `static int` | `TYPE_TEXT`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySpecAttr()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getType()`
    `boolean` | `isHistory()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setHistory(boolean history)`
    `void` | `setType(int type)`
    `static java.util.Map<java.lang.Integer,java.util.List<EntitySpecAttr>>` | `toTypeMap(java.util.List<EntitySpecAttr> entitySpecAttrList)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### TYPE_TEXT

          public static final int TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_INT

          public static final int TYPE_INT

      See Also:
        Constant Field Values

    - #### TYPE_LONG

          public static final int TYPE_LONG

      See Also:
        Constant Field Values

    - #### TYPE_LIST

          public static final int TYPE_LIST

      See Also:
        Constant Field Values

    - #### TYPE_DATE

          public static final int TYPE_DATE

      See Also:
        Constant Field Values

    - #### TYPE_PERIOD

          public static final int TYPE_PERIOD

      See Also:
        Constant Field Values

    - #### TYPE_HOUSE

          public static final int TYPE_HOUSE

      See Also:
        Constant Field Values

    - #### TYPE_ADDRESS

          public static final int TYPE_ADDRESS

      See Also:
        Constant Field Values

    - #### TYPE_EMAIL

          public static final int TYPE_EMAIL

      See Also:
        Constant Field Values

    - #### TYPE_ENTITY_LINK

          public static final int TYPE_ENTITY_LINK

      See Also:
        Constant Field Values

    - #### TYPE_CONTRACT_LINK

          public static final int TYPE_CONTRACT_LINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EntitySpecAttr

          public EntitySpecAttr()

  - ### Method Detail

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### isHistory

          public boolean isHistory()

    - #### setHistory

          public void setHistory(boolean history)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### toTypeMap

          public static java.util.Map<java.lang.Integer,java.util.List<EntitySpecAttr>> toTypeMap(java.util.List<EntitySpecAttr> entitySpecAttrList)